Doomsday Engine - Feature #1447

Co-op player actions (giving, healing)
2007-05-24 07:44 - smoke_tetsu

Status: New Start date: 2007-05-24
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Multiplayer

Description

One thing | think Doomsday needs is the ability to drop items like Ammo and Weapons in CO-OP games to share with other players.
As far as | can see there is no way to do that. Also related to that, perhaps a way to give health to other players would be nice.

Labels: Gameplay

Related issues:

Related to Feature #1604: Game rules (1p and MP) New
Related to Feature #1608: Integrate Doomsday Script Progressed 2013-10-22
History

#1 - 2013-10-22 08:57 - skyjake
- Tags set to Gameplay, Multiplayer
- Subject changed from CO-OP Request to Co-op player actions

Might be included in the MP game rule set, however requires some new game logic. Perhaps could be done entirely with Doomsday Script?

#2 - 2013-10-22 08:57 - skyjake

- Subject changed from Co-op player actions to Co-op player actions (giving, healing)

#3 - 2013-10-22 22:23 - danij

In my opinion this is something | would expect to see in a mod rather than an explicit feature. Once Doomsday Script has the requisite bindings | can
think of no reason for this to be implemented internally.

#4 - 2019-11-29 19:19 - skyjake
- Category set to Enhancement

- Target version set to Multiplayer
